/*
	$Id: datafile_compiler.h,v 1.13 2002/07/16 12:39:46 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	See http://www.clanlib.org
	------------------------------------------------------------------------
*/

//! clanCore="Resources"
//! header=core.h

#ifndef header_datafile_compiler
#define header_datafile_compiler

#include <string>

#include <string>

//: Datafile writer class.
//- <p>This class is used to write compressed datafiles.</p>
class CL_DatafileCompiler
{
public:
//! Operations:
	//: Reads the script file(.scr) and creates a compressed datafile(.dat).
	//param scr_file: Path to the resource script file (.scr).
	//param dat_file: Target for the compressed data file (.dat).
	static void write(
		const std::string &scr_file,
		const std::string &dat_file);
};

#endif
