/*
	$Id: provider_type.h,v 1.5 2002/07/15 16:49:49 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	See http://www.clanlib.org
	------------------------------------------------------------------------
*/

//! clanDisplay="Surface Providers
//! header=display.h

#ifndef header_provider_type
#define header_provider_type

#include <string>

class CL_PixelBuffer;
class CL_InputSourceProvider;

//: Provider type
class CL_ProviderType
{
//! Construction:
public:
	//: Registers a provider type in the CL_ProviderFactory.
	CL_ProviderType(const std::string &type);

	//: Unregisters a provider type in the CL_ProviderFactory.
	virtual ~CL_ProviderType();

//! Operations:
public:
	//: Called to load an image with this provider type.
	virtual CL_PixelBuffer *load(
		const std::string &filename,
		CL_InputSourceProvider *input_provider)=0;

//! Implementation:
private:
};

#endif
