/*
	$Id: provider_type_register.h,v 1.4 2002/07/10 12:27:08 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	See http://www.clanlib.org
	------------------------------------------------------------------------
*/

//! clanDisplay="Surface Providers"
//! header=display.h

#ifndef header_provider_type_register
#define header_provider_type_register

#include "provider_type.h"

//: Class template to register a provider type.
template<class ProviderClass>
class CL_ProviderType_Register : public CL_ProviderType
{
//! Construction:
public:
	//: Registers provider type in the CL_ProviderFactory.
	CL_ProviderType_Register(const std::string &type) : CL_ProviderType(type)
	{
	}

//! Operations:
public:
	//: Called to load an image with this provider type.
	virtual CL_PixelBuffer *load(
		const std::string &filename,
		CL_InputSourceProvider *input_provider)
	{
		return new ProviderClass(filename, input_provider);
	}
};

#endif
