/*
	$Id: targa_provider.h,v 1.7 2002/07/15 16:49:49 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	See http://www.clanlib.org
	------------------------------------------------------------------------
*/

//! clanDisplay="Surface Providers"
//! header=display.h

#ifndef header_targaprovider
#define header_targaprovider

#include "../pixel_buffer.h"
#include <string>

class CL_InputSourceProvider;

//: Surface provider that can load targa (.tga) files.
class CL_TargaProvider : public CL_PixelBuffer
{
//! Construction:
public:
	//: Constructs a surface provider that can read targa files.
	//param name: Name of the targa file to load.
	//param provider: Input source provider that delivers the targa file.
	//param transparent: True if a transparency color should be used.
	//param ignore_alphachannel: True if the alpha component should be ignored.
	//param trans_red: Red component of the transparency color.
	//param trans_green: Green component of the transparency color.
	//param trans_blue: blue component of the transparency color.
	CL_TargaProvider(
		const std::string &name,
		CL_InputSourceProvider *provider = 0,
		bool transparent = false,
		bool ignore_alphachannel = false,
		unsigned char trans_red = 0, 
		unsigned char trans_green = 0, 
		unsigned char trans_blue = 0);
};

#endif
