/*
	$Id: gradient.h,v 1.1 2003/02/17 22:28:16 sphair Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	See http://www.clanlib.org
	------------------------------------------------------------------------
*/

//! clanDisplay="Display 2D"
//! header=display.h

#ifndef header_gradient
#define header_gradient

#include "color.h"

//: Colorgradient description class.
class CL_Gradient
{
//! Construction:
public:
	//: Constructs a color gradient.
	//param top_left: Top left color component.
	//param top_right: Top right color component.
	//param bottom_left: Bottom left color component.
	//param bottom_right: Bottom right color component.
	CL_Gradient() { return; }

	CL_Gradient(const CL_Color &top_left, const CL_Color &top_right, const CL_Color &bottom_left, const CL_Color &bottom_right)
		: top_left(top_left), top_right(top_right), bottom_left(bottom_left), bottom_right(bottom_right) { return; }

//! Attributes:
public:
	CL_Color top_left;
	CL_Color top_right;
	CL_Color bottom_left;
	CL_Color bottom_right;
};

#endif
