	/*
	$Id: key_binding.h,v 1.4 2002/08/08 06:11:23 plasmoid Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	See http://www.clanlib.org
	------------------------------------------------------------------------
*/

//! clanDisplay="Input"
//! header=display.h

#ifndef header_keybinding
#define header_keybinding

#include <string>

class CL_KeyBinding_Generic;
class CL_InputDevice;

//: Input Button binding interface.
//- Use this class to ...
class CL_KeyBinding
{
//! Construction:
public:
	//: Constructor.
	CL_KeyBinding();

	//: Constructor.
	CL_KeyBinding(int keycode, const CL_InputDevice &device);

	//: Copy constructor.
	CL_KeyBinding(const CL_KeyBinding &copy);

//! Attributes:
public:
	//:
	bool operator ==(const CL_KeyBinding &other) const;

	//:
	bool operator <(const CL_KeyBinding &other) const;

	//:
	bool operator >(const CL_KeyBinding &other) const;

	//:
	CL_InputDevice &get_device() const;

	//:	
	int get_keycode() const;

	//:
	std::string get_key_name() const;

//! Operations:
public:
	//:
	CL_KeyBinding &operator =(const CL_KeyBinding &copy);

	//:
	void set_keycode(int keycode);

	//:
	void set_device(const CL_InputDevice &device);

//! Implementation:
private:
	CL_KeyBinding_Generic *impl;
};

#endif
