/*
	$Id: palette.h,v 1.7 2002/07/16 22:10:30 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	See http://www.clanlib.org
	------------------------------------------------------------------------
*/

//! clanDisplay="Display 2D"
//! header=display.h

#ifndef header_palette
#define header_palette

#ifdef WIN32
#pragma warning( disable : 4786)
#endif

#include "color.h"
#include <string.h>

//: 256 color ARGB palette class.
class CL_Palette
{
//! Construction:
public:
	//: Constructs a palette.
	//param copy: Integer array of ARGB8888 color components to use as initial palette.
	CL_Palette() { return; }

	CL_Palette(const unsigned int *copy) { memcpy(colors, copy, sizeof(int)*256); }

//! Attributes:
public:
	//: Palette color entries.
	CL_Color colors[256];

	//: Return color at index.
	const CL_Color &operator[](int index) const { return colors[index]; }

	CL_Color &operator[](int index) { return colors[index]; }

	//: Returns the palette in ARGB8888 format.
	operator const unsigned int*() const { return (const unsigned int *) colors; }

	operator unsigned int*() const { return (unsigned int *) colors; }
};

#endif
