/*
	$Id: rle_surface.h,v 1.8 2002/07/17 10:55:40 mbn Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	See http://www.clanlib.org
	------------------------------------------------------------------------
*/

//! clanDisplay="Display 2D"
//! header=display.h

#ifndef header_rle_surface
#define header_rle_surface

class CL_PixelBuffer;
class CL_GraphicContext;
class CL_InputSource;
class CL_OutputSource;
class CL_RLESurface_Generic;

//: Runlength encoded surface.
class CL_RLESurface
{
//! Construction:
public:
	//: Constructs a run length encoded surface.
	//param provider: Pixel buffer containing image data to be used for constructing RLE surface.
	//param delete_provider: If true, deletes the provider after copying its image data.
	//param input: Input source to load a surface in encoded form.
	CL_RLESurface(CL_PixelBuffer *provider, bool delete_provider = false);

	CL_RLESurface(CL_InputSource *input);

//! Operations:
public:
	//: Draw surface on screen.
	void put_screen(int x, int y, CL_GraphicContext *context = 0);

	//: Draw surface onto pixel buffer.
	void blit(int x, int y, CL_PixelBuffer *buffer);

	//: Save surface in encoded form to an output source.
	void save(CL_OutputSource *output);

//! Implementation:
private:
//	CL_RLESurface_Generic *impl;
};

#endif
