/*
	$Id: display.h,v 1.22 2003/02/17 22:28:16 sphair Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	See http://www.clanlib.org
	------------------------------------------------------------------------
*/

//: <p>ClanLib display and input library. This provide you with 2D display
//: support, and the input devices attached to that display.</p>
//! Global=Display

#ifndef header_display_include
#define header_display_include

#include "Display/blend_func.h"
#include "Display/canvas.h"
#include "Display/color.h"
#include "Display/display.h"
#include "Display/display_window.h"
#include "Display/display_window_description.h"
#include "Display/font.h"
#include "Display/glyph_buffer.h"
#include "Display/gradient.h"
#include "Display/graphic_context.h"
#include "Display/input_buffer.h"
#include "Display/input_button.h"
#include "Display/input_context.h"
#include "Display/input_device.h"
#include "Display/input_event.h"
#include "Display/joystick.h"
#include "Display/key_binding.h"
#include "Display/keyboard.h"
#include "Display/keys.h"
#include "Display/mouse.h"
#include "Display/palette.h"
#include "Display/pixel_buffer.h"
#include "Display/pixel_format.h"
#include "Display/rle_surface.h"
#include "Display/setupdisplay.h"
#include "Display/sprite.h"
#include "Display/sprite_description.h"
#include "Display/sprite_packer.h"
#include "Display/surface.h"
#include "Display/text_styler.h"
#include "Display/texture.h"
#include "Display/Providers/jpeg_provider.h"
#include "Display/Providers/pcx_provider.h"
#include "Display/Providers/png_provider.h"
#include "Display/Providers/targa_provider.h"

#if defined (_MSC_VER)
#if !defined (_DEBUG)
#pragma comment(lib, "clanDisplay.lib")
#else
#pragma comment(lib, "clanDisplayd.lib")
#endif
#endif

#endif
